<template>
  <div class="overflow-y-auto flex flex-row" :class="touchAvailable ? 'hidebar' : 'showbar'">
    <slot></slot>
  </div>
</template>

<script lang="ts">
import { touchAvailable } from "@/use/responsive";
import { onMounted, ref } from "vue";
export default {
  setup() {
    return {
      touchAvailable
    };
  }
};
</script>

<style lang="stylus" scoped>
.hidebar::-webkit-scrollbar {
  height: 0!important;
}

.hidebar {
  -ms-overflow-style: none;
}
</style>
